import java.util.Scanner;

public class PrimeGen {
    public static void main(String args[]){
        Scanner sc = new Scanner(System.in);

        System.out.println("Enter the numbers you want as the lower and upper limits of the prime number generator: ");
        int n = sc.nextInt();
        int m = sc.nextInt();

        System.out.println("The Prime Numbers between " + n + " & " + m + " are:");

        for(int i = n; i<=m; i++){
            int flag = 0;
            for(int j = 2; j<i; j++){
                if((i%j)==0){
                    flag++;
                }
            }

            if(flag == 0){
                System.out.print(i+" ");
            }

        }
    }
}
